Skip to main content
GET
List project billing schedule items
Scheduled invoicing for a fixed fee project. This is only available for projects that have a billing type of “fixed” or “fixed_recurring”. The legacy /project-invoice-milestones path remains available as an alias for this endpoint.

Authorizations

Authorization
string
header
required

An API key created in Settings > API Keys. Each key is either Read-Only or Full Access, chosen when the key is created. A Read-Only key can only make GET requests; POST, PATCH, and DELETE requests made with it return a 403 with the message This API key is read-only.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

projectId
string

A project ID (uuid) used to filter objects for a specific project.

Response

200

results
object[]

The list of results for the current page.

hasMore
boolean

Whether there are more results available after this page.